﻿local _, Ns = ...
local GetNitroboosted = { }
Ns.GetNitroboosted = GetNitroboosted

local L = setmetatable({ }, {__index = function(t, k)
	local v = tostring(k)
	rawset(t, k, v)
	return v
end })

Ns.L = L

local Locale = GetLocale()

function GetNitroboosted:English()
	L["[Enable]"] = "[Enable]"
	L["[Disable]"] = "[Disable]"
	L["Show while Solo"] = "Show while Solo"
	L["Show in Party"] = "Show in Party"
	L["Show in Raid"] = "Show in Raid"
	L["Show in Party Instance"] = "Show in Party Instance"
	L["Show in Raid Instance"] = "Show in Raid Instance"
	L["Show in Battleground"] = "Show in Battleground"
	L["Command List"] = "Command List"
	L["Show Status"] = "Show Status"
	L["Enables or Disables announcement while Solo"] = "Enables or Disables announcement while Solo"
	L["Enables or Disables announcement in Party"] = "Enables or Disables announcement in Party"
	L["Enables or Disables announcement in Raid"] = "Enables or Disables announcement in Raid"
	L["Enables or Disables announcement in Party Instance"] = "Enables or Disables announcement in Party Instance"
	L["Enables or Disables announcement in Raid Instance"] = "Enables or Disables announcement in Raid Instance"
	L["Enables or Disables announcement in Battleground"] = "Enables or Disables announcement in Battleground"
	L["Enabled. Type '/gn help' for options."] = "Enabled. Type '/gn help' for options."
	L["on me"] = "on me"
end

function GetNitroboosted:German()
	L["[Enable]"] = "[Enable]" -- Requires localization
	L["[Disable]"] = "[Disable]" -- Requires localization
	L["Show while Solo"] = "Show while Solo" -- Requires localization
	L["Show in Party"] = "Show in Party" -- Requires localization
	L["Show in Raid"] = "Show in Raid" -- Requires localization
	L["Show in Party Instance"] = "Show in Party Instance" -- Requires localization
	L["Show in Raid Instance"] = "Show in Raid Instance" -- Requires localization
	L["Show in Battleground"] = "Show in Battleground" -- Requires localization
	L["Command List"] = "Command List" -- Requires localization
	L["Show Status"] = "Show Status" -- Requires localization
	L["Enables or Disables announcement while Solo"] = "Enables or Disables announcement while Solo" -- Requires localization
	L["Enables or Disables announcement in Party"] = "Enables or Disables announcement in Party" -- Requires localization
	L["Enables or Disables announcement in Raid"] = "Enables or Disables announcement in Raid" -- Requires localization
	L["Enables or Disables announcement in Party Instance"] = "Enables or Disables announcement in Party Instance" -- Requires localization
	L["Enables or Disables announcement in Raid Instance"] = "Enables or Disables announcement in Raid Instance" -- Requires localization
	L["Enables or Disables announcement in Battleground"] = "Enables or Disables announcement in Battleground" -- Requires localization
	L["Enabled. Type '/gn help' for options."] = "Enabled. Type '/gn help' for options." -- Requires localization
	L["on me"] = "on me" -- Requires localization
end

function GetNitroboosted:Spanish()
	L["[Enable]"] = "[Enable]" -- Requires localization
	L["[Disable]"] = "[Disable]" -- Requires localization
	L["Show while Solo"] = "Show while Solo" -- Requires localization
	L["Show in Party"] = "Show in Party" -- Requires localization
	L["Show in Raid"] = "Show in Raid" -- Requires localization
	L["Show in Party Instance"] = "Show in Party Instance" -- Requires localization
	L["Show in Raid Instance"] = "Show in Raid Instance" -- Requires localization
	L["Show in Battleground"] = "Show in Battleground" -- Requires localization
	L["Command List"] = "Command List" -- Requires localization
	L["Show Status"] = "Show Status" -- Requires localization
	L["Enables or Disables announcement while Solo"] = "Enables or Disables announcement while Solo" -- Requires localization
	L["Enables or Disables announcement in Party"] = "Enables or Disables announcement in Party" -- Requires localization
	L["Enables or Disables announcement in Raid"] = "Enables or Disables announcement in Raid" -- Requires localization
	L["Enables or Disables announcement in Party Instance"] = "Enables or Disables announcement in Party Instance" -- Requires localization
	L["Enables or Disables announcement in Raid Instance"] = "Enables or Disables announcement in Raid Instance" -- Requires localization
	L["Enables or Disables announcement in Battleground"] = "Enables or Disables announcement in Battleground" -- Requires localization
	L["Enabled. Type '/gn help' for options."] = "Enabled. Type '/gn help' for options." -- Requires localization
	L["on me"] = "on me" -- Requires localization
end

function GetNitroboosted:LatinAmericanSpanish()
	L["[Enable]"] = "[Enable]" -- Requires localization
	L["[Disable]"] = "[Disable]" -- Requires localization
	L["Show while Solo"] = "Show while Solo" -- Requires localization
	L["Show in Party"] = "Show in Party" -- Requires localization
	L["Show in Raid"] = "Show in Raid" -- Requires localization
	L["Show in Party Instance"] = "Show in Party Instance" -- Requires localization
	L["Show in Raid Instance"] = "Show in Raid Instance" -- Requires localization
	L["Show in Battleground"] = "Show in Battleground" -- Requires localization
	L["Command List"] = "Command List" -- Requires localization
	L["Show Status"] = "Show Status" -- Requires localization
	L["Enables or Disables announcement while Solo"] = "Enables or Disables announcement while Solo" -- Requires localization
	L["Enables or Disables announcement in Party"] = "Enables or Disables announcement in Party" -- Requires localization
	L["Enables or Disables announcement in Raid"] = "Enables or Disables announcement in Raid" -- Requires localization
	L["Enables or Disables announcement in Party Instance"] = "Enables or Disables announcement in Party Instance" -- Requires localization
	L["Enables or Disables announcement in Raid Instance"] = "Enables or Disables announcement in Raid Instance" -- Requires localization
	L["Enables or Disables announcement in Battleground"] = "Enables or Disables announcement in Battleground" -- Requires localization
	L["Enabled. Type '/gn help' for options."] = "Enabled. Type '/gn help' for options." -- Requires localization
	L["on me"] = "on me" -- Requires localization
end

function GetNitroboosted:French()
	L["[Enable]"] = "[Enable]" -- Requires localization
	L["[Disable]"] = "[Disable]" -- Requires localization
	L["Show while Solo"] = "Show while Solo" -- Requires localization
	L["Show in Party"] = "Show in Party" -- Requires localization
	L["Show in Raid"] = "Show in Raid" -- Requires localization
	L["Show in Party Instance"] = "Show in Party Instance" -- Requires localization
	L["Show in Raid Instance"] = "Show in Raid Instance" -- Requires localization
	L["Show in Battleground"] = "Show in Battleground" -- Requires localization
	L["Command List"] = "Command List" -- Requires localization
	L["Show Status"] = "Show Status" -- Requires localization
	L["Enables or Disables announcement while Solo"] = "Enables or Disables announcement while Solo" -- Requires localization
	L["Enables or Disables announcement in Party"] = "Enables or Disables announcement in Party" -- Requires localization
	L["Enables or Disables announcement in Raid"] = "Enables or Disables announcement in Raid" -- Requires localization
	L["Enables or Disables announcement in Party Instance"] = "Enables or Disables announcement in Party Instance" -- Requires localization
	L["Enables or Disables announcement in Raid Instance"] = "Enables or Disables announcement in Raid Instance" -- Requires localization
	L["Enables or Disables announcement in Battleground"] = "Enables or Disables announcement in Battleground" -- Requires localization
	L["Enabled. Type '/gn help' for options."] = "Enabled. Type '/gn help' for options." -- Requires localization
	L["on me"] = "on me" -- Requires localization
end

function GetNitroboosted:Italian()
	L["[Enable]"] = "[Enable]" -- Requires localization
	L["[Disable]"] = "[Disable]" -- Requires localization
	L["Show while Solo"] = "Show while Solo" -- Requires localization
	L["Show in Party"] = "Show in Party" -- Requires localization
	L["Show in Raid"] = "Show in Raid" -- Requires localization
	L["Show in Party Instance"] = "Show in Party Instance" -- Requires localization
	L["Show in Raid Instance"] = "Show in Raid Instance" -- Requires localization
	L["Show in Battleground"] = "Show in Battleground" -- Requires localization
	L["Command List"] = "Command List" -- Requires localization
	L["Show Status"] = "Show Status" -- Requires localization
	L["Enables or Disables announcement while Solo"] = "Enables or Disables announcement while Solo" -- Requires localization
	L["Enables or Disables announcement in Party"] = "Enables or Disables announcement in Party" -- Requires localization
	L["Enables or Disables announcement in Raid"] = "Enables or Disables announcement in Raid" -- Requires localization
	L["Enables or Disables announcement in Party Instance"] = "Enables or Disables announcement in Party Instance" -- Requires localization
	L["Enables or Disables announcement in Raid Instance"] = "Enables or Disables announcement in Raid Instance" -- Requires localization
	L["Enables or Disables announcement in Battleground"] = "Enables or Disables announcement in Battleground" -- Requires localization
	L["Enabled. Type '/gn help' for options."] = "Enabled. Type '/gn help' for options." -- Requires localization
	L["on me"] = "on me" -- Requires localization
end

function GetNitroboosted:Korean()
	L["[Enable]"] = "[Enable]" -- Requires localization
	L["[Disable]"] = "[Disable]" -- Requires localization
	L["Show while Solo"] = "Show while Solo" -- Requires localization
	L["Show in Party"] = "Show in Party" -- Requires localization
	L["Show in Raid"] = "Show in Raid" -- Requires localization
	L["Show in Party Instance"] = "Show in Party Instance" -- Requires localization
	L["Show in Raid Instance"] = "Show in Raid Instance" -- Requires localization
	L["Show in Battleground"] = "Show in Battleground" -- Requires localization
	L["Command List"] = "Command List" -- Requires localization
	L["Show Status"] = "Show Status" -- Requires localization
	L["Enables or Disables announcement while Solo"] = "Enables or Disables announcement while Solo" -- Requires localization
	L["Enables or Disables announcement in Party"] = "Enables or Disables announcement in Party" -- Requires localization
	L["Enables or Disables announcement in Raid"] = "Enables or Disables announcement in Raid" -- Requires localization
	L["Enables or Disables announcement in Party Instance"] = "Enables or Disables announcement in Party Instance" -- Requires localization
	L["Enables or Disables announcement in Raid Instance"] = "Enables or Disables announcement in Raid Instance" -- Requires localization
	L["Enables or Disables announcement in Battleground"] = "Enables or Disables announcement in Battleground" -- Requires localization
	L["Enabled. Type '/gn help' for options."] = "Enabled. Type '/gn help' for options." -- Requires localization
	L["on me"] = "on me" -- Requires localization
end

function GetNitroboosted:Portuguese()
	L["[Enable]"] = "[Enable]" -- Requires localization
	L["[Disable]"] = "[Disable]" -- Requires localization
	L["Show while Solo"] = "Show while Solo" -- Requires localization
	L["Show in Party"] = "Show in Party" -- Requires localization
	L["Show in Raid"] = "Show in Raid" -- Requires localization
	L["Show in Party Instance"] = "Show in Party Instance" -- Requires localization
	L["Show in Raid Instance"] = "Show in Raid Instance" -- Requires localization
	L["Show in Battleground"] = "Show in Battleground" -- Requires localization
	L["Command List"] = "Command List" -- Requires localization
	L["Show Status"] = "Show Status" -- Requires localization
	L["Enables or Disables announcement while Solo"] = "Enables or Disables announcement while Solo" -- Requires localization
	L["Enables or Disables announcement in Party"] = "Enables or Disables announcement in Party" -- Requires localization
	L["Enables or Disables announcement in Raid"] = "Enables or Disables announcement in Raid" -- Requires localization
	L["Enables or Disables announcement in Party Instance"] = "Enables or Disables announcement in Party Instance" -- Requires localization
	L["Enables or Disables announcement in Raid Instance"] = "Enables or Disables announcement in Raid Instance" -- Requires localization
	L["Enables or Disables announcement in Battleground"] = "Enables or Disables announcement in Battleground" -- Requires localization
	L["Enabled. Type '/gn help' for options."] = "Enabled. Type '/gn help' for options." -- Requires localization
	L["on me"] = "on me" -- Requires localization
end

function GetNitroboosted:Russian()
	L["[Enable]"] = "[Enable]" -- Requires localization
	L["[Disable]"] = "[Disable]" -- Requires localization
	L["Show while Solo"] = "Show while Solo" -- Requires localization
	L["Show in Party"] = "Show in Party" -- Requires localization
	L["Show in Raid"] = "Show in Raid" -- Requires localization
	L["Show in Party Instance"] = "Show in Party Instance" -- Requires localization
	L["Show in Raid Instance"] = "Show in Raid Instance" -- Requires localization
	L["Show in Battleground"] = "Show in Battleground" -- Requires localization
	L["Command List"] = "Command List" -- Requires localization
	L["Show Status"] = "Show Status" -- Requires localization
	L["Enables or Disables announcement while Solo"] = "Enables or Disables announcement while Solo" -- Requires localization
	L["Enables or Disables announcement in Party"] = "Enables or Disables announcement in Party" -- Requires localization
	L["Enables or Disables announcement in Raid"] = "Enables or Disables announcement in Raid" -- Requires localization
	L["Enables or Disables announcement in Party Instance"] = "Enables or Disables announcement in Party Instance" -- Requires localization
	L["Enables or Disables announcement in Raid Instance"] = "Enables or Disables announcement in Raid Instance" -- Requires localization
	L["Enables or Disables announcement in Battleground"] = "Enables or Disables announcement in Battleground" -- Requires localization
	L["Enabled. Type '/gn help' for options."] = "Enabled. Type '/gn help' for options." -- Requires localization
	L["on me"] = "on me" -- Requires localization
end

function GetNitroboosted:SimplifiedChinese()
	L["[Enable]"] = "[Enable]" -- Requires localization
	L["[Disable]"] = "[Disable]" -- Requires localization
	L["Show while Solo"] = "Show while Solo" -- Requires localization
	L["Show in Party"] = "Show in Party" -- Requires localization
	L["Show in Raid"] = "Show in Raid" -- Requires localization
	L["Show in Party Instance"] = "Show in Party Instance" -- Requires localization
	L["Show in Raid Instance"] = "Show in Raid Instance" -- Requires localization
	L["Show in Battleground"] = "Show in Battleground" -- Requires localization
	L["Command List"] = "Command List" -- Requires localization
	L["Show Status"] = "Show Status" -- Requires localization
	L["Enables or Disables announcement while Solo"] = "Enables or Disables announcement while Solo" -- Requires localization
	L["Enables or Disables announcement in Party"] = "Enables or Disables announcement in Party" -- Requires localization
	L["Enables or Disables announcement in Raid"] = "Enables or Disables announcement in Raid" -- Requires localization
	L["Enables or Disables announcement in Party Instance"] = "Enables or Disables announcement in Party Instance" -- Requires localization
	L["Enables or Disables announcement in Raid Instance"] = "Enables or Disables announcement in Raid Instance" -- Requires localization
	L["Enables or Disables announcement in Battleground"] = "Enables or Disables announcement in Battleground" -- Requires localization
	L["Enabled. Type '/gn help' for options."] = "Enabled. Type '/gn help' for options." -- Requires localization
	L["on me"] = "on me" -- Requires localization
end

function GetNitroboosted:TraditionalChinese()
	L["[Enable]"] = "[Enable]" -- Requires localization
	L["[Disable]"] = "[Disable]" -- Requires localization
	L["Show while Solo"] = "Show while Solo" -- Requires localization
	L["Show in Party"] = "Show in Party" -- Requires localization
	L["Show in Raid"] = "Show in Raid" -- Requires localization
	L["Show in Party Instance"] = "Show in Party Instance" -- Requires localization
	L["Show in Raid Instance"] = "Show in Raid Instance" -- Requires localization
	L["Show in Battleground"] = "Show in Battleground" -- Requires localization
	L["Command List"] = "Command List" -- Requires localization
	L["Show Status"] = "Show Status" -- Requires localization
	L["Enables or Disables announcement while Solo"] = "Enables or Disables announcement while Solo" -- Requires localization
	L["Enables or Disables announcement in Party"] = "Enables or Disables announcement in Party" -- Requires localization
	L["Enables or Disables announcement in Raid"] = "Enables or Disables announcement in Raid" -- Requires localization
	L["Enables or Disables announcement in Party Instance"] = "Enables or Disables announcement in Party Instance" -- Requires localization
	L["Enables or Disables announcement in Raid Instance"] = "Enables or Disables announcement in Raid Instance" -- Requires localization
	L["Enables or Disables announcement in Battleground"] = "Enables or Disables announcement in Battleground" -- Requires localization
	L["Enabled. Type '/gn help' for options."] = "Enabled. Type '/gn help' for options." -- Requires localization
	L["on me"] = "on me" -- Requires localization
end

if Locale == "enUS" or Locale == "enGB" then
	GetNitroboosted:English()
elseif Locale == "deDE" then
	GetNitroboosted:German()
elseif Locale == "esES" then
	GetNitroboosted:Spanish()
elseif Locale == "esMX" then
	GetNitroboosted:LatinAmericanSpanish()
elseif Locale == "frFR" then
	GetNitroboosted:French()
elseif Locale == "itIT" then
	GetNitroboosted:Italian()
elseif Locale == "koKR" then
	GetNitroboosted:Korean()
elseif Locale == "ptBR" or Locale == "ptPT" then
	GetNitroboosted:Portuguese()
elseif Locale == "ruRU" then
	GetNitroboosted:Russian()
elseif Locale == "zhCN" then
	GetNitroboosted:SimplifiedChinese()
elseif Locale == "zhTW" then
	GetNitroboosted:TraditionalChinese()
else
	GetNitroboosted:English()
end